Skip to main content
GET
/
cases
/
feed
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_email": "<string>",
      "user_name": "<string>",
      "threat_type": "data_exfiltration",
      "threat_brief": "<string>",
      "risk_indicators": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z",
      "events": [
        {
          "kind": "threat",
          "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "severity": "none",
          "category": [
            "<string>"
          ],
          "subcategory": [
            "<string>"
          ],
          "signal_type": "core_iam",
          "source": "duo",
          "title": "<string>",
          "summary": "<string>",
          "user_name": "<string>",
          "user_email": "<string>",
          "platform_event_id": "<string>",
          "flagged": true,
          "safe": true,
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings. Pass via the X-API-Key header.

Query Parameters

email
string

Filter by user email

case_id
string<uuid>
state
enum<string>

Lifecycle state of a case:

  • discover — Vetted by the AI judge, ready for triage
  • pending_investigation — Swiped; investigation pending
  • investigating — Investigation underway
  • enforced — An enforcement action has been taken
  • closed — Case closed
Available options:
discover,
pending_investigation,
investigating,
enforced,
closed
threat_type
enum<string>

Threat classification assigned to a case

Available options:
data_exfiltration,
insider_threat,
privilege_escalation,
policy_violation,
account_compromise,
sabotage,
financial_fraud
created_after
string<date-time>
created_before
string<date-time>
page
integer
default:1
per_page
integer
default:50
Required range: x <= 200

Response

Paginated list of cases

data
object[]
pagination
object